{% from 'packages/components/action-link/macro.njk' import actionLink %}

{% macro hrtStartCallout(params) %}
  {% set headingLevel = params.headingLevel if params.headingLevel else 3 %}
  <div class="nhsuk-warning-callout
  {%- if params.classes %} {{ params.classes }}{% endif %}"
  {%- for attribute, value in params.attributes %} {{attribute}}="{{value}}"{% endfor %}>
    <h{{ headingLevel }} class="nhsuk-warning-callout__label">
      {%- if "Important" in params.heading or "important" in params.heading %}
      {{ params.heading | safe }}<span class="nhsuk-u-visually-hidden">:</span>
      {%- else %}
      <span role="text">
        <span class="nhsuk-u-visually-hidden">Important: </span>
        {{ params.heading | safe }}
      </span>
      {%- endif %}
    </h{{ headingLevel }}>
    <p>{{ params.calloutInnerOne }} <a id="important-info-link" href="https://www.nhsbsa.nhs.uk/help-nhs-prescription-costs/prescription-prepayment-certificates-ppcs" target="_blank">{{ params.calloutInnerOneLinkText }}</a> {{ params.calloutInnerOnePartTwo }}</p>
  </div>
{% endmacro %}
